--- langdrill-0.3.orig/src/Makefile
+++ langdrill-0.3/src/Makefile
@@ -11,7 +11,7 @@
 MAN_PAGE = ../docs/langdrill.1
 
 DRILL_DEF = default.drill
-DRILL_SUP = japanese.drill romaji.drill french.drill
+DRILL_SUP = japanese.drill romaji.drill french.drill swedish.drill
 
 DEF_FLAGS = -DTARGET='"$(TARGET)"' \
 	-DDRILL_DEF='"$(DRILL_DEF)"' \
--- langdrill-0.3.orig/src/swedish.drill
+++ langdrill-0.3/src/swedish.drill
@@ -0,0 +1,234 @@
+[Application]
+sense=0
+directSenseName=Swedish
+reverseSenseName=English
+quizzAnswerNr=8
+hQuizz=40
+wQuizz=300
+# the timer value is given in minutes.
+# it represents the time between the automatical 
+# activation of the langdrill.
+timer=10
+# use this to set how many good answers the langdrill
+# waits till hides by itself. limitedAnswer must be 1
+# for this to take effect
+limitedAnswerNr=25
+limitedAnswers=1
+
+# set to 1 if you want the window to be hidden when you
+# try to close it and the useTimer is 1
+hideWindow=0
+useTimer=1
+
+[Numbers]
+noll=zero
+ett=one
+två=two
+tre=three
+fyra=four
+fem=five
+sex=six
+sju=seven
+åtta=eight
+nio=nine
+tio=ten
+elva=eleven
+tolv=twelve
+tretton=thirteen
+fjorton=fourteen
+femton=fifteen
+sexton=sixteen
+sjutton=seventeen
+arton=eighteen
+nitton=nineteen
+tjugo=twenty
+tjugoett=twenty-one
+tjugotvå=twenty-two
+tjugotre=twenty-three
+tjugofyra=twenty-four
+tjugofem=twenty-five
+tjugosex=twenty-six
+tjugosju=twenty-seven
+tjugoåtta=twenty-eight
+tjugonio=twenty-nine
+trettio=thirty
+fyrtio=forty
+femtio=fifty
+sextio=sixty
+sjuttio=seventy
+åttio=eighty
+nittio=ninety
+hundra=one hundred
+tvåhundra=two hundred
+trehundra=three hundred
+fyrahundra=four hundred
+femhundra=five hundred
+sexhundra=six hundred
+sjuhundra=seven hundred
+åttahundra=eight hundred
+niohundra=nine hundred
+tusen=one thousand
+tvåtusen=two thousand
+tretusen=three thousand
+fyratusen=four thousand
+femtusen=five thousand
+sextusen=six thousand
+sjutusen=seven thousand
+åttatusen=eight thousand
+niotusen=nine thousand
+tiotusen=ten thousand
+
+
+[Time: Days of the week]
+
+måndag=Monday
+tisdag=Tuesday
+onsdag=Wednesday
+torsdag=Thursday
+fredag=Friday
+lördag=Saturday
+söndag=Sunday
+
+
+[Time: Months]
+
+januari=January
+februari=February
+mars=March
+april=April
+maj=May
+juni=June
+juli=July
+augusti=August
+september=September
+oktober=October
+november=November
+december=December
+
+
+[Expressions]
+
+Hej!=Hi!
+Hejdå! (alt. Adjö!)=Goodbye!
+Tack så mycket!=Thank you very much! (when reciving things, etc.)
+Hur är det? (alt. Hur står det till?)=How are you?
+Ursäkta.=Excuse me.
+Förlåt (så mycket). (alt. Jag är ledsen.)=I'm (really) sorry.
+Godmorgon!=Goodmorning!
+
+
+[Words: Pronouns]
+
+jag=I
+mig (alt. mej)=me
+du=you
+dig (alt. dej)=you (obj.)
+hon=she
+henne=her (obj.)
+han=he
+honom=him
+det/den=it
+vi=we
+oss=us
+ni=you (pl.)
+er=you (pl. obj.)
+de (alt. dom)=they
+dem (alt. dom)=them
+
+
+[Words: Nature]
+
+ett träd=a tree
+en sjö=a lake
+en fågel=a bird
+en sten=a stone
+en blomma=a flower
+ett djur=an animal
+ett hav=a sea
+en buske=a shrub
+en katt=a cat
+ett berg=a mountain
+en fjäril=a butterfly
+en drake=a dragon
+en fisk=a fish
+
+
+[Words: Verbs]
+
+att vara (jag/du/.. är)=to be (I/you/.. am/are/..)
+att ha (jag/du/.. har)=to have (I/you/.. have/..)
+att se (jag/du/.. ser)=to see (I/you/.. see/..)
+att säga (jag/du/.. säger)=to say (I/you/.. say/..)
+att fråga (jag/du/.. frågar)=to ask (I/you/.. ask/..)
+att gå (jag/du/.. går)=to walk (I/you/.. walk/..)
+att sova (jag/du/.. sover)=to sleep (I/you/.. sleep/..)
+att äta (jag/du/.. äter)=to eat (I/you/.. eat/..)
+att komma (jag/du/.. kommer)=to come (I/you/.. come)
+att ge (jag/du/.. ger)=to give (I/you/.. give)
+
+
+[Lesson: ?]
+
+Jag frågar dej (en sak).=I am asking you (something).
+Ser du honom?=Are you seeing him?
+Jag ser honom.=I am seeing him.
+Jag är en fisk.=I'm a fish.
+Vi sover här.=We are sleeping here.
+Hon ger en sten till mej.=She is giving me a stone.
+
+
+[Words: ?]
+
+en sak=a thing
+hur=how
+till=to
+var=where
+
+
+[Lesson: Age]
+
+en ålder=an age
+ett år=a year
+gammal=old
+ung=young
+Hur gammal är du?=How old are you?
+Jag är fyrtiotvå år (gammal).=I am forty-two years (old).
+Du är tjugosju år (gammal).=You are twenty-seven years (old).
+De är arton år (gammla).=They are eighteen years (old).
+Hon är femtio år (gammal).=She is fifty years (old).
+Han är trettionio år (gammal).=He is thirty-nine years (old).
+Jag är åtta år (gammal).=I am eight years (old).
+Det är tre år (gammalt).=It is three years (old).
+Du är ung.=You are young.
+Du är gammal.=You are old.
+
+
+[Words: Countries]
+
+Australien=Australia
+Brasilien=Brazil
+Italien=Italy
+Spanien=Spain
+Rumänien=Romania
+Danmark=Denmark
+Sverige=Sweden
+Norge=Norway
+Kina=China
+Kanada=Canada
+Frankrike=France
+Japan=Japan
+Grönland=Greenland
+Island=Iceland
+Tyskland=Germany
+Ryssland=Russia
+Greekland=Greece
+England=England
+USA=USA
+Amerika=America
+
+
+[Lesson: ?2]
+
+Var kommer du ifrån?=Where are you from?
+Jag kommer ifrån Grönland.=I am from Greenland.
+
